#ifndef __B0A61BF94EC74190B4F10F7D26765E14_inc__
#include "xml.inc"
#endif

#ifndef __mshtml_inc__
#include "mshtml.inc"
#endif

class DHTMLEditEvents : CXMLDispatch
{
	declare DHTMLEditEvents();
	declare _DHTMLEditEvents();

	declare virtual QueryInterface(REFIID *riid, void *ppvObject),HRESULT;
	declare virtual AddRef(),ULONG;
	declare virtual Release(),ULONG;
	declare virtual Invoke(DISPID dispIdMember, REFIID *riid, LCID lcid, USHORT wFlags, DISPPARAMS *pDispParams, VARIANT *pVarResult, EXCEPINFO *pExcepInfo, UINT *puArgErr);

	declare virtual OnDocumentComplete();
	declare virtual OnDisplayChanged();
	declare virtual OnShowContextMenu(long xPos, long yPos);
	declare virtual OnContextMenuAction(long itemIndex);
	declare virtual onmousedown();
	declare virtual onmousemove();
	declare virtual onmouseup();
	declare virtual onmouseout();
	declare virtual onmouseover();
	declare virtual onclick();
	declare virtual ondblclick();
	declare virtual onkeydown();
	declare virtual onkeypress();
	declare virtual onkeyup();
	declare virtual onblur();
	declare virtual onreadystatechange();

	ULONG m_refcnt;
	DWORD m_cookie;
	HWND  m_hwndChild;
	HWND  m_hwndAtl;
	IDHTMLEdit *m_control;
	//
	IHTMLEditServices *m_pes;
	IHTMLEditDesigner *m_designer; // CHTMLEditDesigner*
}

class CHTMLEditDesigner
{
	declare CHTMLEditDesigner();
	declare virtual QueryInterface(REFIID *riid, void *ppvObject),HRESULT;
	declare virtual AddRef(),ULONG;
	declare virtual Release(),ULONG;
	// The DISPID_HTMLELEMENTEVENTS2 identifiers are defined in Mshtmdid.h.
	declare virtual PreHandleEvent(DISPID inEvtDispId,IHTMLEventObj *pIEventObj),HRESULT;
	declare virtual PostHandleEvent(DISPID inEvtDispId,IHTMLEventObj *pIEventObj),HRESULT;
	declare virtual TranslateAccelerator(DISPID inEvtDispId,IHTMLEventObj *pIEventObj),HRESULT;
	declare virtual PostEditorEventNotify(DISPID inEvtDispId,IHTMLEventObj *pIEventObj),HRESULT;
	ULONG m_refcnt;
}

declare extern AdviseEditDesignerEvents(DHTMLEditEvents *events);
