#ifndef __treeview__

declare extern treeInit(int nProjectWidth);
declare extern treeGetItemData(HTREEITEM hItem, XML *node),BOOL;
declare extern treeGetItemDataEx(LPARAM lParam, XML *node),BOOL;
declare extern treeSort(HTREEITEM hItem);
declare extern treeSelectItem(HTREEITEM hItem, int type);
declare extern treeGetRootItem(),HTREEITEM;
declare extern treeGetNextItem(HTREEITEM hItem, int type),HTREEITEM;
declare extern treeOnDblClick(NMHDR *pnmhdr);
declare extern treeOnDeleteItem(NMTREEVIEW *pnmtv);
declare extern treeOnItemExpanded(NMTREEVIEW *pnmtv);
declare extern treeOnRClick(NMHDR *pnmhdr);
declare extern treeHitTest(opt TVHITTESTINFO *ptvhti=NULL),HTREEITEM;
declare extern treeOnEndLabelEdit(NMTVDISPINFO *pnmdi),LRESULT;
declare extern treeOnCustomDraw(NMTVCUSTOMDRAW *pcd),LRESULT;
declare extern treeOnKeyDown(NMTVKEYDOWN *pnmkd);
declare extern treeOnBeginDrag(NMTREEVIEW *pnmtv);
declare extern treeGetSelected(),HTREEITEM;
declare extern treeGetParent(HTREEITEM hItem),HTREEITEM;
declare extern treeExec(HTREEITEM hItem);
declare extern treeSetItem(TVITEM *tvi),BOOL;
declare extern treeDeleteItem(HTREEITEM hItem),BOOL;
declare extern treeInsertItem(TVINSERTSTRUCT *ptvis),HTREEITEM;
declare extern treeGetItem(TVITEM *tvi),BOOL;
declare extern treeEditabel(HTREEITEM hItem);

#endif

enum TVIMG
{
	TVIMG_PROJECT = 0,
	TVIMG_FOLDER_OPEN,
	TVIMG_FOLDER_CLOSE,
	TVIMG_HTML,
	TVIMG_CSS,
	TVIMG_IMAGE,
	TVIMG_JS,
	TVIMG_UNKNOWN // based on file type
}
const STATE_PROJECT  = 0x1F00;
const STATE_EXPANDED = 0x2F00;
const STATE_COLAPSED = 0x3F00;

const TREE_TEXT_CCH_MAX = 128;
